/*
 * Copyright (C) 2013 salesforce.com, inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

function SecureObject(thing, key) {}

var defaultSecureObjectKey = {
        defaultSecureObjectKey: true
};

SecureObject.getRaw = function(so) {};

SecureObject.isDOMElementOrNode = function(el) {};

SecureObject.filterEverything = function(st, raw, options) {};

SecureObject.filterArguments = function(st, args, options) {};

function convertSymbol(property) {}

var filteringProxyHandler = (function() {})();

//Prototype to make debugging and identification of direct exposure of the surrogate (should not happen) easier
function FilteringProxySurrogate(actual) {}

SecureObject.createFilteringProxy = function(raw, key) {};


//We cache 1 array like thing proxy per key
var KEY_TO_ARRAY_LIKE_THING_HANDLER = typeof Map !== "undefined" ? new Map() : undefined;

function getFilteredArrayLikeThings(raw, key) {}

function getArrayLikeThingProxyHandler(key) {}

SecureObject.createProxyForArrayLikeObjects = function(raw, key) {};

//We cache 1 array proxy per key
var KEY_TO_ARRAY_HANLDER = typeof Map !== "undefined" ? new Map() : undefined;

function getFilteredArray(st, raw, key) {}

function getArrayProxyHandler(key) {}

/**
 * Create a proxy to handle Arrays
 * @param raw
 * @param key
 * @returns {Proxy}
 */
SecureObject.createProxyForArrayObjects = function(raw, key) {};

var KEY_TO_NAMED_NODE_MAP_HANLDER = typeof Map !== "undefined" ? new Map() : undefined;

function getFilteredNamedNodeMap(raw, key, prototype, caseInsensitiveAttributes) {}

function getNamedNodeMapProxyHandler(key, prototype, caseInsensitiveAttributes) {}

SecureObject.createProxyForNamedNodeMap = function(raw, key, prototype, caseInsensitiveAttributes) {};

SecureObject.createFilteredMethod = function(st, raw, methodName, options) {};


SecureObject.createFilteredMethodStateless = function(methodName, prototype, options) {};


SecureObject.createFilteredProperty = function(st, raw, propertyName, options) {};


SecureObject.createFilteredPropertyStateless = function(propertyName, prototype, options) {};



SecureObject.addIfSupported = function(behavior, st, element, name, options) {};

SecureObject.addPropertyIfSupported = function(st, raw, name, options) {};

SecureObject.addMethodIfSupported = function(st, raw, name, options) {};

//Return the set of interfaces supported by the object in order of most specific to least specific
function getSupportedInterfaces(o) {}

SecureObject.addPrototypeMethodsAndProperties = function(metadata, so, raw, key) {};


//Closure factory
function addPrototypeMethodsAndPropertiesStatelessHelper(name, prototype, prototypicalInstance, prototypeForValidation, rawPrototypicalInstance, config) {}

SecureObject.addPrototypeMethodsAndPropertiesStateless = function(metadata, prototypicalInstance, prototypeForValidation) {};

var workerFrame = window.document.getElementById("safeEvalWorkerCustom");
var safeEvalScope = workerFrame && workerFrame.contentWindow;

function getUnfilteredTypes() {}
var unfilteredTypes = getUnfilteredTypes();

SecureObject.isUnfilteredType = function(raw, key) {};

//FIXME(tbliss): remove this once the necessary APIs become standard and can be exposed to everyone
SecureObject.addRTCMediaApis = function(st, raw, name, key) {};

SecureObject.FunctionPrototypeBind = Function.prototype.bind;
SecureObject.ArrayPrototypeSlice = Array.prototype.slice;
