/*
 * Copyright (C) 2013 salesforce.com, inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*!
 * @overview error-stack-parser.js - Extract meaning from JS Errors
 * @license   Licensed under The Unlicense
 *            See https://github.com/stacktracejs/error-stack-parser
 * @version   1.3.6
 */
/* eslint-disable */
(function(root, factory) {}(this, function ErrorStackParser(StackFrame) {}));

// to expose stack parser
Aura.Errors.StackParser = this['ErrorStackParser'];
