/*
 * Copyright (c) 2016 Scott Wells, All rights reserved
 */

// Stub interface for the Promise object
Promise = function(executor) {};
Promise.prototype = {
    length: 0,
    
    all: function(iterable) {},
    race: function(iterable) {},
    reject: function(reason) {},
    resolve: function(value) {},
    
    catch: function(onRejected) { return this; },
    then: function(onFulfilled, onRejected) { return this; }
};